require_relative "ascode/interpreter/main"
require_relative "ascode/parser/main"

module Ascode
  def self.run(code)
    parser = Parser::Main.new code
    ast = parser.parse

    interpreter = Interpreter::Main.new ast
    interpreter.run

    true
  end
end
